curl --request POST \
--url https://api.kameleoon.com/templates/simulate/{widgetId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"widgetTemplateInput": {
"displayPluginConfiguration": "<string>",
"position": "INPAGE",
"shadowDom": true,
"domElementSelector": "<string>",
"locales": "<string>",
"positionSelectorRelative": "<string>",
"widgetEditorTemplate": "<string>",
"widgetFonts": "<string>"
}
}
'"<string>"Generate simulation for widget and redirect to simulation page
curl --request POST \
--url https://api.kameleoon.com/templates/simulate/{widgetId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"widgetTemplateInput": {
"displayPluginConfiguration": "<string>",
"position": "INPAGE",
"shadowDom": true,
"domElementSelector": "<string>",
"locales": "<string>",
"positionSelectorRelative": "<string>",
"widgetEditorTemplate": "<string>",
"widgetFonts": "<string>"
}
}
'"<string>"Documentation Index
Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Widget template fields.
Show child attributes
OK
The response is of type string.
Was this page helpful?